## org.biojava.utils
Class MergingIterator

    java.lang.Object
      org.biojava.utils.MergingIterator

All Implemented Interfaces:
  Iterator

    public class MergingIterator

extends Object
implements Iterator

Author:
  Matthew Pocock

Constructor Summary
`MergingIterator(Iterator sourceIt)`

Method Summary
`boolean` `hasNext()`
`Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergingIterator

    public MergingIterator(Iterator sourceIt)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`